SalesOS.

Documents

Document management

Documents Controller_find All

GET
/api/documents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/documents" \
  -H "Authorization: Bearer <token>"

Documents Controller_get Capabilities

GET
/api/documents/capabilities

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/documents/capabilities" \
  -H "Authorization: Bearer <token>"

Documents Controller_find One

GET
/api/documents/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/documents/<string>" \
  -H "Authorization: Bearer <token>"

Documents Controller_remove

DELETE
/api/documents/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/documents/<string>" \
  -H "Authorization: Bearer <token>"

Documents Controller_upload And Index

POST
/api/documents/upload

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

addSummaryRequiredstring
addDescriptionRequiredstring
useOcrRequiredstring
extractTablesRequiredstring
curl -X POST "https://www.salesos.org/api/api/documents/upload?addSummary=%3Cstring%3E&addDescription=%3Cstring%3E&useOcr=%3Cstring%3E&extractTables=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Documents Controller_extract Content

POST
/api/documents/extract

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

includeTablesRequiredstring
outputFormatRequiredstring
curl -X POST "https://www.salesos.org/api/api/documents/extract?includeTables=%3Cstring%3E&outputFormat=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Documents Controller_check Status

GET
/api/documents/{id}/status

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/documents/<string>/status" \
  -H "Authorization: Bearer <token>"

Documents Controller_sync From Page Index

POST
/api/documents/sync

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/documents/sync" \
  -H "Authorization: Bearer <token>"